Subject: bug#36089: 26.2; Emacs window creation with multiple frames

From: martin rudalics <[email-masked]>
Date: Wed, 5 Jun 2019 09:13:46 +0200

> When I go to compile a program using M-x compile it shows the
 > *compilation* buffer in a new window in the active frame, which is
 > intuitive when there is only one frame open. However, in Emacs I often
 > have multiple frames open and visible (like with a multi monitor
 > setup). In this case Emacs still opens the *compilation* buffer in the
 > active frame even if the buffer is visible in another frame.

Customize 'display-buffer-alist' as, for example,

(customize-set-variable
  'display-buffer-alist
  '(("\\*compilation\\*"
     nil (reusable-frames . visible))))

For further options have a look at section

28.13.5 Precedence of Action Functions

of the Elisp manual (and tell us if you think something is missing
there).

Thanks, martin